---
title: "Reads the customer's own review of a product."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › review

`GET /v1/stores/{store}/products/{product}/review`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getReview.path.store`; string, required) — A hostname of the store.
- `product` (`getReview.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/review' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/review';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/review"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads the customer's own review of a product.

#### Example

```json
{
  "mine": true,
  "hidden_at": "string",
  "id": "string",
  "product_id": "string",
  "rating": 0,
  "username": "string",
  "notes": "string",
  "reply": "string",
  "replied_at": "string",
  "created_at": "string",
  "updated_at": "string"
}
```

- `mine` (`getReview.response.200.mine`; boolean, required)
- `hidden_at` (`getReview.response.200.hidden_at`; any of, required)
  - any of: `string`, `null`
- `id` (`getReview.response.200.id`; string, required)
- `product_id` (`getReview.response.200.product_id`; string, required)
- `rating` (`getReview.response.200.rating`; number, required)
- `username` (`getReview.response.200.username`; any of, required)
  - any of: `string`, `null`
- `notes` (`getReview.response.200.notes`; any of, required)
  - any of: `string`, `null`
- `reply` (`getReview.response.200.reply`; any of, required)
  - any of: `string`, `null`
- `replied_at` (`getReview.response.200.replied_at`; any of, required)
  - any of: `string`, `null`
- `created_at` (`getReview.response.200.created_at`; any of, required)
  - any of: `string`, `null`
- `updated_at` (`getReview.response.200.updated_at`; any of, required) — When the customer last edited it; null until they do.
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getReview.response.default.type`; string, required)
  - format `uri`
- `title` (`getReview.response.default.title`; string, required)
- `status` (`getReview.response.default.status`; integer, required)
- `detail` (`getReview.response.default.detail`; string, required)
- `code` (`getReview.response.default.code`; string, optional)
- `context` (`getReview.response.default.context`; object, optional)
- `reached_core` (`getReview.response.default.reached_core`; boolean, optional)
- `core_answer` (`getReview.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-review/index.md
